name: CodyOps Core Builder

on:
  schedule:
    - cron: '0 11 * * 1'
  pull_request:
    branches:
      - main

jobs:
  build-conteiner:
    runs-on: fedora-latest
    env:
      ASTRO_DIRECTUS_API: ${{ secrets.ASTRO_DIRECTUS_API }}
      ASTRO_DIRECTUS_TOKEN: ${{ secrets.ASTRO_DIRECTUS_TOKEN }}
      ASTRO_ASSETS: ${{ vars.ASTRO_ASSETS }}
      ASTRO_CURRENCY_AR: ${{ vars.ASTRO_CURRENCY_AR }}
      ASTRO_SITE_AR: ${{ vars.ASTRO_SITE_AR }}
      ASTRO_GTM_AR: ${{ vars.ASTRO_GTM_AR }}
      ASTRO_CURRENCY_BR: ${{ vars.ASTRO_CURRENCY_BR }}
      ASTRO_SITE_BR: ${{ vars.ASTRO_SITE_BR }}
      ASTRO_GTM_BR: ${{ vars.ASTRO_GTM_BR }}    
      ASTRO_CURRENCY_CL: ${{ vars.ASTRO_CURRENCY_CL }}
      ASTRO_SITE_CL: ${{ vars.ASTRO_SITE_CL }}
      ASTRO_GTM_CL: ${{ vars.ASTRO_GTM_CL }}    
      ASTRO_CURRENCY_CO: ${{ vars.ASTRO_CURRENCY_CO }}
      ASTRO_SITE_CO: ${{ vars.ASTRO_SITE_CO }}
      ASTRO_GTM_CO: ${{ vars.ASTRO_GTM_CO }}    
      ASTRO_CURRENCY_CR: ${{ vars.ASTRO_CURRENCY_CR }}
      ASTRO_SITE_CR: ${{ vars.ASTRO_SITE_CR }}
      ASTRO_GTM_CR: ${{ vars.ASTRO_GTM_CR }}    
      ASTRO_CURRENCY_DO: ${{ vars.ASTRO_CURRENCY_DO }}
      ASTRO_SITE_DO: ${{ vars.ASTRO_SITE_DO }}
      ASTRO_GTM_DO: ${{ vars.ASTRO_GTM_DO }}    
      ASTRO_CURRENCY_EC: ${{ vars.ASTRO_CURRENCY_EC }}
      ASTRO_SITE_EC: ${{ vars.ASTRO_SITE_EC }}
      ASTRO_GTM_EC: ${{ vars.ASTRO_GTM_EC }}    
      ASTRO_CURRENCY_ES: ${{ vars.ASTRO_CURRENCY_ES }}
      ASTRO_SITE_ES: ${{ vars.ASTRO_SITE_ES }}
      ASTRO_GTM_ES: ${{ vars.ASTRO_GTM_ES }}    
      ASTRO_CURRENCY_MX: ${{ vars.ASTRO_CURRENCY_MX }}
      ASTRO_SITE_MX: ${{ vars.ASTRO_SITE_MX }}
      ASTRO_GTM_MX: ${{ vars.ASTRO_GTM_MX }}    
      ASTRO_CURRENCY_PA: ${{ vars.ASTRO_CURRENCY_PA }}
      ASTRO_SITE_PA: ${{ vars.ASTRO_SITE_PA }}
      ASTRO_GTM_PA: ${{ vars.ASTRO_GTM_PA }}
      ASTRO_CURRENCY_PE: ${{ vars.ASTRO_CURRENCY_PE }}
      ASTRO_SITE_PE: ${{ vars.ASTRO_SITE_PE }}
      ASTRO_GTM_PE: ${{ vars.ASTRO_GTM_PE }}
      ASTRO_CURRENCY_PR: ${{ vars.ASTRO_CURRENCY_PR }}
      ASTRO_SITE_PR: ${{ vars.ASTRO_SITE_PR }}
      ASTRO_GTM_PR: ${{ vars.ASTRO_GTM_PR }}
      ASTRO_CURRENCY_PY: ${{ vars.ASTRO_CURRENCY_PY }}
      ASTRO_SITE_PY: ${{ vars.ASTRO_SITE_PY }}
      ASTRO_GTM_PY: ${{ vars.ASTRO_GTM_PY }}
      ASTRO_CURRENCY_SV: ${{ vars.ASTRO_CURRENCY_SV }}
      ASTRO_SITE_SV: ${{ vars.ASTRO_SITE_SV }}
      ASTRO_GTM_SV: ${{ vars.ASTRO_GTM_SV }}
      ASTRO_CURRENCY_US: ${{ vars.ASTRO_CURRENCY_US }}
      ASTRO_SITE_US: ${{ vars.ASTRO_SITE_US }}
      ASTRO_GTM_US: ${{ vars.ASTRO_GTM_US }}
      ASTRO_CURRENCY_UY: ${{ vars.ASTRO_CURRENCY_UY }}
      ASTRO_SITE_UY: ${{ vars.ASTRO_SITE_UY }}
      ASTRO_GTM_UY: ${{ vars.ASTRO_GTM_UY }}
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Make Build
        run: make build
      - name: Make Deploy
        run: make deploy   